#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gnome-autoar
Version		:	0.2.4
Release		:	17.0.10.rel%{?dist}
Summary		:	Archive library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://git.gnome.org/browse/gnome-autoar

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	glib
BuildRequires	:	gobject-introspection
BuildRequires	:	libarchive-devel
BuildRequires	:	vala
BuildRequires	:	gtk3+
#-----------------------------------------------------------------------------
%description
'%{name}' is a GObject based library for handling archives.
 
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%{_libdir}/girepository-1.0/GnomeAutoar-0.1.typelib
%{_libdir}/girepository-1.0/GnomeAutoarGtk-0.1.typelib
%{_libdir}/lib%{name}-0.so.0*
%{_libdir}/lib%{name}-gtk-0.so.0*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header
files for developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%doc %{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%doc %{_datadir}/gtk-doc/html/%{name}/style.css
%{_includedir}/%{name}-0/%{name}/*.h
%{_libdir}/lib%{name}*-0.so
%{_libdir}/pkgconfig/%{name}*-0.pc
%{_datadir}/gir-1.0/GnomeAutoar-0.1.gir
%{_datadir}/gir-1.0/GnomeAutoarGtk-0.1.gir
%{_datadir}/vala/vapi/%{name}-0.vapi
%{_datadir}/vala/vapi/%{name}-gtk-0.vapi
 

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
make %{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
